package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 合同管理对象 t_project_contract
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
public class TProjectContract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 合同名称 */
    @Excel(name = "合同名称")
    private String contractName;

    /** 合同类别 */
    @Excel(name = "合同类别")
    private String contractType;

    /** 项目ID */
    @Excel(name = "项目名称")
    private String projectPoolId;

    /** 项目阶段 */
    @Excel(name = "项目阶段")
    private String projectStage;

    /** 会议编号 */
//    @Excel(name = "会议编号")
    private String meetingCode;

    /** 状态 */
    private String delFlag;

    /** 附件业务ID */
    private String fileBusinessId;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /**
     * 项目池
     */
    private TProjectPool tProjectPool;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setContractName(String contractName) 
    {
        this.contractName = contractName;
    }

    public String getContractName() 
    {
        return contractName;
    }
    public void setContractType(String contractType) 
    {
        this.contractType = contractType;
    }

    public String getContractType() 
    {
        return contractType;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setProjectStage(String projectStage) 
    {
        this.projectStage = projectStage;
    }

    public String getProjectStage() 
    {
        return projectStage;
    }
    public void setMeetingCode(String meetingCode) 
    {
        this.meetingCode = meetingCode;
    }

    public String getMeetingCode() 
    {
        return meetingCode;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setFileBusinessId(String fileBusinessId) 
    {
        this.fileBusinessId = fileBusinessId;
    }

    public String getFileBusinessId() 
    {
        return fileBusinessId;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public TProjectPool gettProjectPool() {
        return tProjectPool;
    }

    public void settProjectPool(TProjectPool tProjectPool) {
        this.tProjectPool = tProjectPool;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("contractName", getContractName())
            .append("contractType", getContractType())
            .append("projectPoolId", getProjectPoolId())
            .append("projectStage", getProjectStage())
            .append("meetingCode", getMeetingCode())
            .append("delFlag", getDelFlag())
            .append("fileBusinessId", getFileBusinessId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
